F21製PHPライブラリ「JWT」にトークンの署名検証を回避される脆弱性(JVN) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2018.12.14(金)

F21製PHPライブラリ「JWT」にトークンの署名検証を回避される脆弱性(JVN)

IPAおよびJPCERT/CCは、F21が提供する、JSON Web Tokenを扱うためのPHPライブラリ「JWT」にトークンの署名検証を回避される脆弱性が存在すると「JVN」で発表した。

脆弱性と脅威 セキュリティホール・脆弱性
独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は6月3日、F21が提供する、JSON Web Tokenを扱うためのPHPライブラリ「JWT」にトークンの署名検証を回避される脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。CVSSによる最大Base Scoreは5.0。

「JWT 2.0より前のバージョン」には、トークンの署名検証を回避される脆弱性(CVE-2015-2951)が存在する。この脆弱性が悪用されると、攻撃者によって細工されたデータを、正しく署名されたトークンとして扱ってしまう可能性がある。JVNでは、開発者が提供する情報をもとに最新版へアップデートするよう呼びかけている。
《吉澤 亨史( Kouji Yoshizawa )》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★
<b>★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★</b>

経営課題としてサイバーセキュリティに取り組む情報システム部門や、研究・開発・経営企画に携わる方へ向けた、創刊20年のセキュリティ情報サービス Scan PREMIUM を、貴社の事業リスク低減のためにご活用ください。

×